Bug 448381 - Kernel is unable to initialise ULI SATA controller in AHCI mode
Kernel is unable to initialise ULI SATA controller in AHCI mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 07:08 EDT by Leonid Kanter
Modified: 2013-07-02 22:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:28:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log with sata initialisation errors (ahci mode) (33.13 KB, text/plain)
2008-05-26 07:08 EDT, Leonid Kanter
no flags Details
Boot log with sata_uli in RAID mode (33.93 KB, text/plain)
2008-05-26 07:17 EDT, Leonid Kanter
no flags Details

  None (edit)
Description Leonid Kanter 2008-05-26 07:08:11 EDT
Description of problem:

It looks like sata_uli is broken in 2.6.24 kernels. I have Asrock 755Twins-HDTV
motherboard with ULI south bridge. It's possible to set controller to AHCI or
RAID mode in BIOS. If mode is set to AHCI, FC9 kernel is unable to detect SATA
HDD. If mode is set to RAID, it's possible to use SATA HDD but in RAID mode it's
impossible to boot from SATA CDROM and NCQ doesnt't work. RHEL5 kernel is OK in
both modes: AHCI and SATA.

Version-Release number of selected component (if applicable):

kernel-2.6.25.3-18.fc9.i686

How reproducible:

always

Steps to Reproduce:
1. Set SATA mode to AHCI on Asrock 755Twins-HDTV motherboard
2. Boot FC9 from CDROM or IDE drive
  
Actual results:

All SATA devices are not available

Expected results:

SATA devices must be available

Additional info:

Boot log will be attached.
Comment 1 Leonid Kanter 2008-05-26 07:08:11 EDT
Created attachment 306658 [details]
boot log with sata initialisation errors (ahci mode)
Comment 2 Leonid Kanter 2008-05-26 07:17:05 EDT
Created attachment 306659 [details]
Boot log with sata_uli in RAID mode

You can see in this log that SATA HWW WDC3200 was found successfully.
Comment 3 Chuck Ebbert 2008-05-27 21:20:37 EDT
in AHCI mode:

kernel: ahci 0000:00:1f.1: controller reset failed (0x80000001)
kernel: ACPI: PCI interrupt for device 0000:00:1f.1 disabled
kernel: ahci: probe of 0000:00:1f.1 failed with error -5

Comment 4 Leonid Kanter 2008-09-09 04:44:43 EDT
This device is not supported by ahci module and it should be blacklisted for ahci. ahci is being loaded according to mask:

alias:          pci:v*d*sv*sd*bc01sc06i01*

But it must not be loaded at all. This device is supported by sata_uli:

alias:          pci:v000010B9d00005287sv*sd*bc*sc*i*

because it doesnt't change device id in RAID/AHCI mode, only device class. Please remove wildcard from ahci module or blacklist device 10B9:5287 because it works with sata_uli only.
Comment 5 Bug Zapper 2009-06-09 21:12:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:28:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.